include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### smb4kdialogs (shared)

tde_add_library( smb4kdialogs SHARED AUTOMOC
  SOURCES
    smb4kbookmarkeditor.cpp smb4kcustomoptionsdialog.cpp smb4kmountdialog.cpp
    smb4kpreviewdialog.cpp smb4kprintdialog.cpp smb4ksynchronizationdialog.cpp
  LINK tdecore-shared tdeui-shared smb4kcore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
